## iceowl 1.0~b2

=== mozilla/parser/html/java/translator/Makefile ===
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is Makefile.
#
# The Initial Developer of the Original Code is
#   Mozilla Corporation.
#
# Portions created by the Initial Developer are Copyright (C) 2009
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Ben Newman <b{enjam,newma}n@mozilla.com>
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

SVN_BASE=http://svn.versiondude.net/whattf/htmlparser/trunk

libs:: \
; mkdir -p bin && \
  find src -name "*.java" | \
    xargs javac -cp ../javaparser.jar -g -d bin && \
  jar cfm translator.jar manifest.txt -C bin .

sync:: \
; ../sync-src.sh $(SVN_BASE)/translator-src && \
  ../sync-files.sh $(SVN_BASE) LICENSE.txt README.txt

clean:: \
; rm -rf bin translator.jar

## iceowl 1.0~b1+dfsg2

=== debian/changelog ===
iceowl (1.0~b1+dfsg2-2+squeeze2) stable-proposed-updates; urgency=low

  * [0e4ac0a] Apply security updates from xulrunner/icedove:
      - MFSA 2011-12 aka CVE-2011-0069, CVE-2011-0070, CVE-2011-0072,
                         CVE-2011-0074, CVE-2011-0075, CVE-2011-0077,
                         CVE-2011-0078, CVE-2011-0080:
        Miscellaneous memory safety hazards (rv:2.0.1/ 1.9.2.17/ 1.9.1.19)
      - MFSA 2011-13 aka CVE-2011-0065, CVE-2011-0066, CVE-2011-0073:
        Multiple dangling pointer vulnerabilities
      - MFSA 2011-14 aka CVE-2011-0067: Information stealing via form history
      - MFSA 2011-16 aka CVE-2011-0071: Directory traversal in resource:
        protocol
  * [51a3ea8] gfx/ots/include/opentype-sanitiser.h: strict alignment issues
    when displaying OpenType font. Patch taken from icedove.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 08 May 2011 12:24:58 +0200

iceowl (1.0~b1+dfsg2-2+squeeze1) stable-proposed-updates; urgency=low

  * [b5181a9] backported patches from xulrunner fixes mfsa2011-{01-08,10}
    - MFSA 2011-01 aka CVE-2011-0053: Miscellaneous memory safety hazards
      (rv:1.9.2.14/ 1.9.1.17)
    - MFSA 2011-02 aka CVE-2011-0051: Recursive eval call causes confirm
      dialogs to evaluate to true
    - MFSA 2011-03 aka CVE-2011-0055: Use-after-free error in JSON.stringify
    - MFSA 2011-04 aka CVE-2011-0054: Buffer overflow in JavaScript upvarMap
    - MFSA 2011-05 aka CVE-2011-0056: Buffer overflow in JavaScript atom map
    - MFSA 2011-06 aka CVE-2011-0057: Use-after-free error using Web Workers
    - MFSA 2011-07 aka CVE-2011-0058: Memory corruption during text run
      construction (Windows)
    - MFSA 2011-08 aka CVE-2010-1585: ParanoidFragmentSink allows javascript:
      URLs in chrome documents
    - MFSA 2011-10 aka CVE-2011-0059: CSRF risk with plugins and 307 redirects
    Patches taken from icedove 3.0.11-1+squeeze1

 -- Guido Günther <agx@sigxcpu.org>  Fri, 11 Mar 2011 19:36:07 +0100

iceowl (1.0~b1+dfsg2-2) unstable; urgency=low

  * [528ae26] Don't error-out when run-time libsqlite is older than build-time
    libsqlite.  In Debian, we have shlibs to handle this. This is the same
    patch as used in iceweasel and icedove. (Closes: #611602)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 Jan 2011 08:39:07 +0100

iceowl (1.0~b1+dfsg2-1) unstable; urgency=low

  * [d96a5b0] New upstream version based on icedove 3.0.11 this fixes the
    following security bugs:
     - MFSA 2010-74 aka CVE-2010-3776, CVE-2010-3778: Miscellaneous memory
       safety hazards (rv:1.9.2.13/ 1.9.1.16)
     - MFSA 2010-75 aka CVE-2010-3769: Buffer overflow while line breaking
       after document.write with long string
     - MFSA 2010-78 aka CVE-2010-3768: Add support for OTS font sanitizer
     - MFSA 2010-73 aka CVE-2010-3765: Heap buffer overflow mixing
       document.write and DOM insertion
     - MFSA 2010-64 aka CVE-2010-3174, CVE-2010-3176: Miscellaneous memory
       safety hazards (rv:1.9.2.11/ 1.9.1.14)
     - MFSA 2010-65 aka CVE-2010-3179: Buffer overflow and memory corruption
       using document.write
     - MFSA 2010-66 aka CVE-2010-3180: Use-after-free error in nsBarProp
     - MFSA 2010-67 aka CVE-2010-3183: Dangling pointer vulnerability in
       LookupGetterOrSetter
     - MFSA 2010-69 aka CVE-2010-3178: Cross-site information disclosure via
       modal calls
     - MFSA 2010-71 aka CVE-2010-3182: Unsafe library loading vulnerabilities
     - MFSA 2010-49 aka CVE-2010-3169: Miscellaneous memory safety hazards
       (rv:1.9.2.9/ 1.9.1.12)
     - MFSA 2010-50 aka CVE-2010-2765: Frameset integer overflow vulnerability
     - MFSA 2010-51 aka CVE-2010-2767: Dangling pointer vulnerability using DOM
       plugin array
     - MFSA 2010-53 aka CVE-2010-3166: Heap buffer overflow in
       nsTextFrameUtils::TransformText
     - MFSA 2010-54 aka CVE-2010-2760: Dangling pointer vulnerability in
       nsTreeSelection
     - MFSA 2010-55 aka CVE-2010-3168: XUL tree removal crash and remote code
       execution
     - MFSA 2010-56 ala CVE-2010-3167: Dangling pointer vulnerability in
       nsTreeContentView
     - MFSA 2010-57 aka CVE-2010-2766: Crash and remote code execution in
       normalizeDocument
     - MFSA 2010-60 aka CVE-2010-2763: XSS using SJOW scripted function
     - MFSA 2010-61 aka CVE-2010-2768: UTF-7 XSS by overriding document charset
       using <object> type attribute
     - MFSA 2010-62 aka CVE-2010-2769: Copy-and-paste or drag-and-drop into
       designMode document allows XSS
     - MFSA 2010-63 aka CVE-2010-2764: Information leak via XMLHttpRequest
       statusText
     - MFSA 2010-34 aka CVE-2010-1211, CVE-2010-1212: Miscellaneous memory
       safety hazards (rv:1.9.2.7/ 1.9.1.11)
     - MFSA 2010-39 aka CVE-2010-2752: nsCSSValue::Array index integer overflow
     - MFSA 2010-40 aka CVE-2010-2753: nsTreeSelection dangling pointer remote
       code execution vulnerability
     - MFSA 2010-41 aka CVE-2010-1205: Remote code execution using malformed
       PNG image
     - MFSA 2010-42 aka CVE-2010-1213: Cross-origin data disclosure via Web
       Workers and importScripts
     - MFSA 2010-46 aka CVE-2010-0654: Cross-domain data theft using CSS
     - MFSA 2010-47 aka CVE-2010-2754: Cross-origin data leakage from script
       filename in error messages
     - MFSA 2010-25 aka CVE-2010-1121: Re-use of freed object due to scope
       confusion
     - MFSA 2010-26 aka CVE-2010-1200, CVE-2010-1201, CVE-2010-1202: Crashes
       with evidence of memory corruption (rv:1.9.2.4/ 1.9.1.10)
     - MFSA 2010-29 aka CVE-2010-1196: Heap buffer overflow in
       nsGenericDOMDataNode::SetTextInternal
     - MFSA 2010-30 aka CVE-2010-1199: Integer Overflow in XSLT Node Sorting
     - MFSA 2010-16 aka CVE-2010-0173, CVE-2010-0174: Crashes with evidence of
       memory corruption (rv:1.9.2.2/ 1.9.1.9/ 1.9.0.19)
     - MFSA 2010-17 aka CVE-2010-0175: Remote code execution with
       use-after-free in nsTreeSelection


=== debian/control ===
Source: iceowl
Section: web
Priority: optional
Maintainer: Alexander Sack <asac@debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>
Build-Depends: bzip2, debhelper (>= 5), patchutils (>= 0.2.25), cdbs (>= 0.4.27), libx11-dev, libxt-dev, libgtk2.0-dev (>= 2.8), zlib1g-dev, liborbit2-dev, libidl-dev (>= 0.8.0), zip, libxft-dev, libfreetype6-dev, libpng12-dev, libjpeg62-dev, libxrender-dev, libxinerama-dev, libcairo2-dev, libgnome2-dev, libgconf2-dev, libgnomevfs2-dev, libgnomeui-dev, sharutils, m4, binutils (>= 2.17) [mips mipsel], libhunspell-dev, libthai-dev, libnss3-dev, libnspr4-dev, imagemagick, unzip,
 lsb-release,
 libdbus-glib-1-dev,
 libasound2-dev,
 libsqlite3-dev (>= 3.6.22),
 libbz2-dev,
 python-ply
Vcs-Git: git://git.debian.org/pkg-mozilla/iceowl.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/iceowl.git;a=summary
Standards-Version: 3.9.1

Package: calendar-timezones
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Timezone Extension for Sunbird/Iceowl (mandatory)
 This Timezone provides timezone data for Sunbird and the Iceowl/Lightning
 extension. It's an essential component if you want to use all
 calendaring features.

Package: iceowl-extension
Architecture: any
Depends: icedove (>= 3.0.1) | thunderbird (>= 3.0.1),
 calendar-timezones (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends: calendar-google-provider
Suggests: latex-xft-fonts
Description: Calendar Extension for Thunderbird/Icedove
 Iceowl Extension is a Calendar extension for Thunderbird
 and Icedove based on iceowl - the Mozilla Based Standalone
 Calendar application.

Package: calendar-google-provider
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Google Calendar support for lighting- and iceowl-extension
 Google Calendar support extension for the Iceowl/Lightning extension. It's a
 recommended component if you want to connect to your google calendar.

Package: iceowl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 calendar-timezones (= ${binary:Version})
Recommends: calendar-google-provider
Description: Standalone Calendar Application
 Iceowl is a Mozilla Based Calendar application. The goal is to produce a cross
 platform stand alone Calendar application using the XUL user interface
 language. Iceowl leaves a somewhat smaller memory footprint than the Mozilla
 suite.

Package: iceowl-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, iceowl (= ${binary:Version})
Suggests: libglib2.0-0-dbg, libgtk2.0-0-dbg
Description: Standalone Calendar Application
 Iceowl is a Mozilla Based Calendar application. The goal is to produce a cross
 platform stand alone Calendar application using the XUL user interface
 language. Iceowl leaves a somewhat smaller memory footprint than the Mozilla
 suite.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        OPTFLAGS = --disable-optimize
else
        OPTFLAGS = --enable-optimize
endif

BRANDING_DIR = calendar/sunbird/branding/nightly/

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

#export BUILD_OFFICIAL=1
#export MOZILLA_OFFICIAL=1

ifneq (,$(findstring s390,$(DEB_HOST_GNU_TYPE)))
        export FORCE_USE_HOST_OS=1
endif

DEB_MOZ_NAME=iceowl
XUL_VERSION=1.9.1


DEB_CONFIGURE_USER_FLAGS= \
        --host=$(DEB_HOST_GNU_TYPE) \
	--enable-application=calendar \
	--enable-calendar \
	--disable-strip \
	--disable-strip-libs \
	--disable-install-strip \
	--disable-crashreporter \
	--disable-tests \
	--disable-mochitest \
        --enable-default-toolkit=cairo-gtk2-x11 \
	--with-default-mozilla-five-home=/usr/lib/iceowl \
	--with-system-mng=/usr \
	--with-system-jpeg=/usr \
	--with-system-zlib=/usr \
        --with-system-bz2 \
	$(OPTFLAGS) \
	--with-system-nspr \
	--with-system-nss \
	--enable-gnomevfs \
	--enable-system-sqlite \
	--enable-static \
	--disable-shared \
	--disable-debug \
        --build=$(DEB_BUILD_GNU_TYPE) \
        --host=$(DEB_HOST_GNU_TYPE) \
	--with-distribution-id=org.debian


UUDECODE = \
	debsearch.gif \
	wikipedia.gif \
	$(NULL)

common-install-arch::
	set -e; mkdir -p debian/iceowl-extension/usr/lib/iceowl-extension \
		debian/calendar-google-provider/usr/lib/calendar-google-provider \
		debian/calendar-timezones/usr/lib/calendar-timezones; \
		sh -c "set -e; cd debian/iceowl-extension/usr/lib/iceowl-extension/; unzip $(CURDIR)/mozilla/dist/xpi-stage/lightning.xpi"; \
		sh -c "set -e; cd debian/calendar-google-provider/usr/lib/calendar-google-provider/; unzip $(CURDIR)/mozilla/dist/xpi-stage/gdata-provider.xpi"; \
		sh -c "set -e; cd debian/calendar-timezones/usr/lib/calendar-timezones/; unzip $(CURDIR)/mozilla/dist/xpi-stage/calendar-timezones.xpi"
	make -C calendar/installer install DESTDIR=$(CURDIR)/debian/tmp


clean::
	rm -f debian/stamp-iceowl-branding


post-patches:: debian/stamp-iceowl-branding
debian/stamp-iceowl-branding:
	cp -af debian/iceowl-branding/* $(BRANDING_DIR)
	for uue in `find $(BRANDING_DIR) -name '*.uu'`; do \
		(cd `dirname $$uue` ; uudecode `basename $$uue`); rm $$uue; \
	done
	cp debian/preview.png calendar/sunbird/base/themes/winstripe/
	touch $@

CFLAGS=-g
CXXFLAGS=-g

export CFLAGS CXXFLAGS

=== debian/watch ===
version=3

opts=uversionmangle=s/\.b(\d+)/~b$1/;s/\.rc(\d+)/~rc$1/ \
  http://releases.mozilla.org/pub/mozilla.org/calendar/lightning/releases/(\d+\.[\d\.]+)(b\d+)?(rc\d+)?/source/lightning-(\d+\.[\d\.]+)(b\d+)?(rc\d+)?.source\.tar\.bz2

## iceowl 1.0~b2

=== debian/changelog ===
iceowl (1.0~b2-7) unstable; urgency=low

  * [bae8711] debian/watch: strip trailing dot if rc or part is empty
  * [a6ea98f] Remove extensions now shiped by icedove (Closes: #654828)
  * [0ee8fb1] Set myself as maintainer. Thanks Alexander for your work on the
    package.
  * [67039b7] Build-Depend on libjpeg-dev instead of libjpeg62-dev
    (Closes: #643315)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Jan 2012 15:20:49 +0100

iceowl (1.0~b2-6) unstable; urgency=low

  * [cecd0a6] Fix compilation with gcc 4.6 (Closes: #625026)
  * [5227f90] Look for gtk+ and gdk when building with libnotify
  * [5e875a4] libnotify 0.7 API change
  * [ee403dd] Update configure to reflect configure.in changes from other
    patches
  * [2416e24] Suggest ttf-lyx instead of latex-xft-fonts (Closes: #539536)
  * [a31fae3] Override embedded libtheora lintian error
  * [0e63742] Bump standards version
  * [05df882] Don't ignore errors in postinst

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Aug 2011 23:43:50 +0200

iceowl (1.0~b2-5) unstable; urgency=low

  * [c71cc11] The extension needs at least icedove >= 3.1.0 (Closes: #622573)
  * [0b6cf07] Add back Debian menu entry (Closes: #621084)
  * [e3abf2c] New patch GNU-Hurd-doesn-t-provide-SA_SIGINFO-in-signal.h.patch
    to fix build on GNU/Hurd. Heavily based on a patch from Christoph Göhre
    and Samuel Thibault.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 16 Apr 2011 15:35:28 +0200

iceowl (1.0~b2-4) unstable; urgency=low

  * Upload to unstable
  * [0cf4a1e] New patch to enable intl.locale.matchOS
    and report the locale correctly taken from Icedove. Based on a patch from
    Icedove.
  * [5b7562f] Don't error-out when run-time libsqlite is older than build-time
    libsqlite.  In Debian, we have shlibs to handle this. This is the same
    patch as used in iceweasel and icedove. (Closes: #611602)
  * [e4d4d6e] Drop numbers from patch names and use subdirs
  * [e117ccf] New patch Reduce-credits-box-height.patch: Reduce credits box
    height to avoid ugly scrollbars
  * [8eb2071] New patch Unbreak-extensions-URL.patch: fixes extension lookup
    (Closes: #436567)
  * [3af7d56] Don't build against the internal libbz2 copy
  * [ff59f71] Add security update notice to README.Debian
  * [494628a] Use Iceowl instead of "Calendar (TM)"

 -- Guido Günther <agx@sigxcpu.org>  Sat, 02 Apr 2011 18:04:01 +0200

iceowl (1.0~b2-3) experimental; urgency=low

  * [26231e8] New patch 0018-Fix-reconnect-to-previously-failed-
    calendar.patch. Fix reconnect to previously failed calendar 
    (Closes: #600680) - thanks to Alex Opie
  * [966ae9e] Drop uudecoding of images. Source format 3 supports this
    natively.
  * [ee22fd4] Replace icons by nicer versions from
    http://markcarson.com/markcarson/asp/sunbirdicons.asp
  * [d02da35] Symlink and install icon files
  * [19afd90] Slightly improve about dialog
  * [8cba4b1] iceowl.desktop: Fix typo
  * [103b89c] New patch 0019-Fix-startup-problem-with-symlinked-
    components-e.g.-e.patch: Fix startup problem with symlinked components
    (e.g. extensions). Patch taken from Icedove.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 24 Nov 2010 21:04:44 +0100

iceowl (1.0~b2-2) experimental; urgency=low

  * [183b772] Bump version number to 1.0b2
  * [a5cb164] New patch 0016-Change-parameter-type-of-JS_-CEILING-FLOOR-
    _LOG2W-an.patch. Change parameter type of JS_{CEILING,FLOOR}_LOG2W
    and js_FloorLog2wImpl to be JSSize - thanks to Mike Hommey
  * [bb5d085] New patch 0017-Add-nanojit-support-for-ARMv4T.patch. Add
    nanojit support for ARMv4T - thanks to Mike Hommey

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Aug 2010 10:14:43 +0200

iceowl (1.0~b2-1) experimental; urgency=low

  * [a8de458] Switch to source format 3.0 (quilt)
  * [a90e155] New upstream version 1.0b2 (Closes: #587539)
  * [b92405c] Add watch file
  * [6f3d0ae] Builddepend on libnotify-dev
  * [3e40a37] Disable necko-wifi
  * [ceeebd0] Set --with-static-email so static linking works
  * [a4a8eba] Redo patches.Dropped patches, fixed upstream:
        - 0001-upstream_533070.patch
        - 0005-Don-t-hardcode-binary-name.patch
  * [37e33be] New patch
    0012-Fix-for-padding-of-long-long-arguments-on-ppc-xptcal.patch. Fix for
    padding of long long arguments on ppc xptcall - thanks to Mike Hommey
  * [2800535] New patch 0013-Support-Renesas-SH-sh4.patch. Support Renesas
    SH(sh4) (Closes: #579325)
  * [751be4f] New patch 0014-xpcom-PowerPC-lnx-add-support-for-soft-
    float.patch xpcom/PowerPC lnx: add support for soft-float (Closes:
    #592074) - thanks to Sebastian Andrzej Siewior

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 Aug 2010 14:45:43 +0200

=== debian/control ===
Source: iceowl
Section: web
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: bzip2, debhelper (>= 5), patchutils (>= 0.2.25), cdbs (>= 0.4.27), libx11-dev, libxt-dev, libgtk2.0-dev (>= 2.8), zlib1g-dev, liborbit2-dev, libidl-dev (>= 0.8.0), zip, libxft-dev, libfreetype6-dev, libpng12-dev, libxrender-dev, libxinerama-dev, libcairo2-dev, libgnome2-dev, libgconf2-dev, libgnomevfs2-dev, libgnomeui-dev, sharutils, m4, binutils (>= 2.17) [mips mipsel], libhunspell-dev, libthai-dev, libnss3-dev, libnspr4-dev, imagemagick, unzip,
 lsb-release,
 libdbus-glib-1-dev,
 libasound2-dev,
 libsqlite3-dev (>= 3.6.22),
 libnotify-dev (>= 0.7),
 libbz2-dev,
 libjpeg-dev
Vcs-Git: git://git.debian.org/pkg-mozilla/iceowl.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/iceowl.git;a=summary
Standards-Version: 3.9.2

Package: iceowl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, calendar-timezones (>= 8.0)
Recommends: calendar-google-provider
Description: Standalone Calendar Application
 Iceowl is a Mozilla Based Calendar application. The goal is to produce a cross
 platform stand alone Calendar application using the XUL user interface
 language. Iceowl leaves a somewhat smaller memory footprint than the Mozilla
 suite.

Package: iceowl-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, iceowl (= ${binary:Version})
Suggests: libglib2.0-0-dbg, libgtk2.0-0-dbg
Description: Standalone Calendar Application
 Iceowl is a Mozilla Based Calendar application. The goal is to produce a cross
 platform stand alone Calendar application using the XUL user interface
 language. Iceowl leaves a somewhat smaller memory footprint than the Mozilla
 suite.
 .
 This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,6 @@
 endif
 
 DEB_MOZ_NAME=iceowl
-XUL_VERSION=1.9.1
-
 
 DEB_CONFIGURE_USER_FLAGS= \
         --host=$(DEB_HOST_GNU_TYPE) \
@@ -49,7 +47,9 @@
 	--with-system-nss \
 	--enable-gnomevfs \
 	--enable-system-sqlite \
+	--disable-necko-wifi \
 	--enable-static \
+	--enable-static-mail \
 	--disable-shared \
 	--disable-debug \
         --build=$(DEB_BUILD_GNU_TYPE) \
@@ -57,18 +57,7 @@
 	--with-distribution-id=org.debian
 
 
-UUDECODE = \
-	debsearch.gif \
-	wikipedia.gif \
-	$(NULL)
-
 common-install-arch::
-	set -e; mkdir -p debian/iceowl-extension/usr/lib/iceowl-extension \
-		debian/calendar-google-provider/usr/lib/calendar-google-provider \
-		debian/calendar-timezones/usr/lib/calendar-timezones; \
-		sh -c "set -e; cd debian/iceowl-extension/usr/lib/iceowl-extension/; unzip $(CURDIR)/mozilla/dist/xpi-stage/lightning.xpi"; \
-		sh -c "set -e; cd debian/calendar-google-provider/usr/lib/calendar-google-provider/; unzip $(CURDIR)/mozilla/dist/xpi-stage/gdata-provider.xpi"; \
-		sh -c "set -e; cd debian/calendar-timezones/usr/lib/calendar-timezones/; unzip $(CURDIR)/mozilla/dist/xpi-stage/calendar-timezones.xpi"
 	make -C calendar/installer install DESTDIR=$(CURDIR)/debian/tmp
 
 
@@ -79,10 +68,6 @@
 post-patches:: debian/stamp-iceowl-branding
 debian/stamp-iceowl-branding:
 	cp -af debian/iceowl-branding/* $(BRANDING_DIR)
-	for uue in `find $(BRANDING_DIR) -name '*.uu'`; do \
-		(cd `dirname $$uue` ; uudecode `basename $$uue`); rm $$uue; \
-	done
-	cp debian/preview.png calendar/sunbird/base/themes/winstripe/
 	touch $@
 
 CFLAGS=-g

=== debian/watch ===
version=3

opts=uversionmangle=s/\.b(\d+)/~b$1/;s/\.rc(\d+)/~rc$1/;s/\.+$// \
  http://releases.mozilla.org/pub/mozilla.org/calendar/lightning/releases/(\d+\.[\d\.]+)(b\d+)?(rc\d+)?/source/lightning-(\d+\.[\d\.]+)(b\d+)?(rc\d+)?\.source\.tar\.bz2
